<template>
  <div class="about text-center">
    <h1 >Hello {{fullText}}</h1>
    <v-btn color="primary" @click="estVisible = !estVisible">
        <v-icon left>email</v-icon>
        <span>email me</span>
    </v-btn>
    <p v-if="estVisible" class="mt-10">Todo Form ... :)</p>
  </div>
</template>

<script>
export default {
    data(){
        return {
            message : 'this is the about page',
            punctua : '!',
            estVisible : false,
        }
    },
    computed: {
        fullText: {
            // GETTER
            get: function () {
                return this.message + ' ' + this.punctua
            }
        }
    },
    mounted() {
        
    }
}
</script>